require "json"

package = JSON.parse(File.read(File.join(__dir__, "package.json")))

Pod::Spec.new do |s|
  s.name         = package["name"]
  s.version      = package["version"]
  s.summary      = package["title"]
  s.description  = package['description']
  s.homepage     = "https://github.com/vmware-samples/workspace-ONE-SDK-integration-samples/blob/main/IntegrationGuideForReactNative"
  # brief license entry:
  s.license      = package['license']
  s.authors      = package['author']
  s.platforms    = { :ios => "13.0" }
  s.source       = { :path => '.' }

  s.source_files = "ios/*.{h,c,m,swift}"
  s.vendored_frameworks = 'ios/WorkspaceOneSDKBridge.xcframework'
  s.requires_arc = true

  s.dependency "React"
  
  $WSRN = Object.new
   def $WSRN.add_spm_to_target(project, target_name, url, requirement, product_name)
    project.targets.each do |target|
      if target.name == target_name
        pkg = project.new(Xcodeproj::Project::Object::XCRemoteSwiftPackageReference)
        pkg.repositoryURL = url
        pkg.requirement = requirement
        ref = project.new(Xcodeproj::Project::Object::XCSwiftPackageProductDependency)
        ref.package = pkg
        ref.product_name = "AWSDK"
        target.package_product_dependencies << ref
        project.root_object.package_references << pkg
      end
    end
    project.save
  end
  def $WSRN.post_install(installer)
    self.add_spm_to_target(installer.pods_project, "ws1-sdk-react-native", "https://github.com/vmwareairwatchsdk/iOS-WorkspaceONE-SDK", {kind: "upToNextMajorVersion",minimumVersion: "23.4.0"}, "WorkspaceOneSDK")
  end
end

